Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.fulltext
Class PorterStemmer

    java.lang.Object
      com.dbxml.db.common.fulltext.PorterStemmer

All Implemented Interfaces:
  WordStemmer

public class PorterStemmer
extends java.lang.Object
implements WordStemmer

Constructor Summary
`PorterStemmer()`

Method Summary
`java.lang.String` | `normalizeCase(java.lang.String word)` normalizeCase normalizes the case of the specific word.
`java.lang.String` | `stemWord(java.lang.String word)` stemWord stems the specified word.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PorterStemmer

    public PorterStemmer()

Method Detail

### normalizeCase

    public java.lang.String normalizeCase(java.lang.String word)

  Description copied from interface: `WordStemmer`
  normalizeCase normalizes the case of the specific word. Case normalization is language-specific, as is stemming, so it made sense to tie the two functions into one interface. By default dbXML normalizes to lower-case.

  Specified by:
    `normalizeCase` in interface `WordStemmer`
  Parameters:
    `word` - The word to normalize
  Returns:
    The normalized word

### stemWord

    public java.lang.String stemWord(java.lang.String word)

  Description copied from interface: `WordStemmer`
  stemWord stems the specified word.

  Specified by:
    `stemWord` in interface `WordStemmer`
  Parameters:
    `word` - The word to stem
  Returns:
    The stemmed word

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group